## org.eclipse.amp.amf.testing.ares
Interface AresFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AresFactoryImpl

    public interface AresFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `AresPackage`

Field Summary
`static AresFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`ConstraintTest` `createConstraintTest()` Returns a new object of class 'Constraint Test'.
`Run` `createRun()` Returns a new object of class 'Run'.
`RunSet` `createRunSet()` Returns a new object of class 'Run Set'.
`AresPackage` `getAresPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final AresFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createRun

    Run createRun()

  Returns a new object of class 'Run'.

  Returns:
    a new object of class 'Run'.

### createConstraintTest

    ConstraintTest createConstraintTest()

  Returns a new object of class 'Constraint Test'.

  Returns:
    a new object of class 'Constraint Test'.

### createRunSet

    RunSet createRunSet()

  Returns a new object of class 'Run Set'.

  Returns:
    a new object of class 'Run Set'.

### getAresPackage

    AresPackage getAresPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.